import { proxyCustomElement, HTMLElement, createEvent, h } from '@stencil/core/internal/client';

const openPopupNotificationCss = ".container.sc-open-popup-notification{position:fixed;z-index:999;padding-top:100px;left:50%;top:50%;transform:translate(-50%, -50%);width:100%;height:100%;overflow:auto;background-color:rgba(0, 0, 0, 0.4);display:flex;align-items:center}.content.sc-open-popup-notification{background:#fff;border-radius:20px;z-index:999;max-width:500px;margin:auto;padding:0;position:relative;width:100%}.body.sc-open-popup-notification{padding:50px 0;color:#262525}.title.sc-open-popup-notification{text-align:center;font-size:1.5rem}.subtitle.sc-open-popup-notification{margin-top:10px;text-align:center}.actions-container.sc-open-popup-notification{margin-top:40px;margin-bottom:10px;display:flex;justify-content:center;gap:20px}.button.sc-open-popup-notification{max-width:200px;margin-top:10px}button.sc-open-popup-notification{border-radius:8px;border:1px solid transparent;padding:0.6em 1.2em;font-size:1em;font-weight:500;font-family:inherit;background-color:#efeeee;cursor:pointer;transition:border-color 0.25s}button.sc-open-popup-notification:hover{border-color:#cacaca}button.sc-open-popup-notification:focus,button.sc-open-popup-notification:focus-visible{outline:4px auto -webkit-focus-ring-color}.btn-proceed.sc-open-popup-notification{background-color:#262626;color:#fff;padding-left:40px;padding-right:40px}";
const OpenPopupNotificationStyle0 = openPopupNotificationCss;

const OpenPopupNotification$1 = /*@__PURE__*/ proxyCustomElement(class OpenPopupNotification extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.popupConsent = createEvent(this, "popupConsent", 7);
        this.action = undefined;
        this.walletAddress = undefined;
    }
    consentClicked(answer) {
        this.popupConsent.emit(answer);
    }
    render() {
        return (h("div", { key: '9be266d5cb7652cde25efc52aa1f41727b89b96c', class: "container" }, ' ', h("div", { key: 'e6a48b5262c348353fcea5f3a8134b7ab8d14c7a', class: "content" }, h("div", { key: '3d6971913178d2b095725dc077486b0d4cce3277', class: "body" }, h("div", { key: '9009b778210a706d7017fe653ed6c1126a26795c', class: "title" }, "Confirm on MultiversX Wallet"), h("div", { key: '0c4ae95286ce1913a098602fefb65aa83565b3e3', class: "subtitle" }, "Continue to ", this.walletAddress, " to ", this.action, "?"), h("div", { key: '5f73b4201c9efaf8bfb27915442f19185600ef35', class: "actions-container" }, h("button", { key: '47cf4d84e8052024ea6556e8b5386ed6f9e3ac24', class: "button", onClick: () => this.consentClicked(false) }, "Cancel"), h("button", { key: '364e05c0fc6bdf1f068ac59fe531bee0d7598566', class: "button btn-proceed", onClick: () => this.consentClicked(true) }, "Continue \u2192"))))));
    }
    static get style() { return OpenPopupNotificationStyle0; }
}, [2, "open-popup-notification", {
        "action": [1],
        "walletAddress": [1, "wallet-address"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["open-popup-notification"];
    components.forEach(tagName => { switch (tagName) {
        case "open-popup-notification":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, OpenPopupNotification$1);
            }
            break;
    } });
}

const OpenPopupNotification = OpenPopupNotification$1;
const defineCustomElement = defineCustomElement$1;

export { OpenPopupNotification, defineCustomElement };

//# sourceMappingURL=open-popup-notification.js.map