import { r as registerInstance, c as createEvent, h, F as Fragment } from './index-cabf4ff3.js';

const floatingWalletCss = ".container.sc-floating-wallet{position:fixed;bottom:0px;right:10px;width:375px;height:660px;z-index:100}.toggleButton.sc-floating-wallet{border-radius:5px;border:none;background:#2c2a2a;color:white;width:375px;height:40px;margin-top:10px}.iframeContainer.sc-floating-wallet{width:375px;height:600px;display:flex;flex-direction:column;justify-content:center}.iframe.sc-floating-wallet{border:none;width:100%;height:100%}";
const FloatingWalletStyle0 = floatingWalletCss;

const FloatingWallet = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.iframeWindowReady = createEvent(this, "iframeWindowReady", 7);
        this.walletAddress = undefined;
        this.walletVisible = false;
        this.iframeIsLoading = true;
    }
    async setWalletVisible(visible) {
        this.walletVisible = visible;
    }
    dispatchIframeWindowReady(el) {
        this.iframeWindowReady.emit(el);
    }
    toggleWallet() {
        if (this.iframeIsLoading) {
            return;
        }
        this.walletVisible = !this.walletVisible;
    }
    iframeLoaded() {
        this.iframeIsLoading = false;
        this.walletVisible = true;
    }
    render() {
        return (h("div", { key: '4aa37238496ed2235a7c03276232fa193fe18ff9', class: "container", style: { height: this.walletVisible || this.iframeIsLoading ? '660px' : '60px' } }, h("div", { key: '53fa8cb28b6c646acd0a1c73218602d96d48cba8', class: "iframeContainer" }, h("div", { key: '040b255e0bb36e40cd1b601ad43c3a46b51d1aa5', style: { position: 'absolute', textAlign: 'center', width: '100%', visibility: this.iframeIsLoading ? 'visible' : 'hidden' } }, "Loading..."), h("iframe", { key: 'a9ca9dec043f61961b2b4d31fb083649bbd4e105', style: { visibility: this.walletVisible ? 'visible' : 'hidden' }, class: "iframe", onLoad: this.iframeLoaded.bind(this), ref: el => {
                this.dispatchIframeWindowReady(el);
            }, src: this.walletAddress })), h("div", { key: '1c4cc3a36deefddfd4ef3ad34d38e16338933e60', style: { position: 'absolute', bottom: '10px', width: '100%;' } }, h("button", { key: '4f35a0e88b385c00408b1601839b1960f7cd208a', onClick: this.toggleWallet.bind(this), class: "toggleButton" }, this.iframeIsLoading ? h(Fragment, null, "Loading...") : h(Fragment, null, "MultiversX Wallet ", this.walletVisible ? '-' : '+')))));
    }
};
FloatingWallet.style = FloatingWalletStyle0;

export { FloatingWallet as floating_wallet };

//# sourceMappingURL=floating-wallet.entry.js.map